Bug 905681 - Review Request: ultimaker-marlin-firmware - Ultimaker firmware for the 3D printer
Review Request: ultimaker-marlin-firmware - Ultimaker firmware for the 3D pri...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
Depends On: 891556 904841
Blocks: 901659
  Show dependency treegraph
 
Reported: 2013-01-29 17:59 EST by Miro Hrončok
Modified: 2013-04-30 23:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-30 23:32:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
licensecheck output from fedora-review (1.40 KB, text/plain)
2013-02-10 18:06 EST, T.C. Hollingsworth
no flags Details

  None (edit)
Description Miro Hrončok 2013-01-29 17:59:38 EST
Spec URL: https://github.com/hroncok/SPECS/raw/master/ultimaker-marlin-firmware.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/ultimaker-marlin-firmware-12.12-0.2.RC1.fc18.src.rpm
Description: Ultimaker firmware for the 3D printer
Fedora Account System Username: churchyard
Comment 1 T.C. Hollingsworth 2013-02-01 18:36:00 EST
I just pushed the fix for bug 891556.  I'll review this once that build hits the Rawhide buildroot.
Comment 2 Miro Hrončok 2013-02-01 19:32:16 EST
Thanks.
Comment 3 Miro Hrončok 2013-02-02 22:22:03 EST
There is /usr/lib/firmware/ dir, shouldn't that be used instead of /usr/share?
Comment 4 T.C. Hollingsworth 2013-02-04 03:19:23 EST
(In reply to comment #3)
> There is /usr/lib/firmware/ dir, shouldn't that be used instead of
> /usr/share?

I always thought that directory was for kernel-loaded firmware, but I'm not sure about that.  You might want to ask packaging@lists.fp.o if they think it belongs there.

There appears to be no Packaging Guideline restricting firmware to any particular directory, nor is /usr/lib/firmware specified in the FHS, so the install location is not a blocker.
Comment 5 T.C. Hollingsworth 2013-02-04 07:24:44 EST
Grr, arduino-core is missing a file:
+ ino build -m mega
Searching for Board description file (boards.txt) ... /usr/share/arduino/hardware/arduino/boards.txt
Searching for Arduino lib version file (version.txt) ... FAILED
Arduino lib version file (version.txt) not found. Searched in following places: 
  - /usr/local/share/arduino/lib
  - /usr/share/arduino/lib
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.ATtmvP (%build)
    Bad exit status from /var/tmp/rpm-tmp.ATtmvP (%build)

% rpm -qf /usr/share/arduino/lib/version.txt
arduino-1.0.1-2.fc18.noarch

Fixed in arduino-1.0.1-3.
Comment 6 Miro Hrončok 2013-02-04 10:10:43 EST
(In reply to comment #5)
> Fixed in arduino-1.0.1-3.

So just wait again or some action is required from my side?
Comment 7 T.C. Hollingsworth 2013-02-04 17:17:21 EST
No action required on your part.  Unfortunately, that build missed this morning's rawhide compose so this will have to wait till tomorrow.
Comment 8 T.C. Hollingsworth 2013-02-10 18:06:21 EST
Created attachment 695945 [details]
licensecheck output from fedora-review


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status: NEEDS WORK

===== Issues ====

[!]: rpmlint output is not clean.

     See the rpmlint section at the bottom of the review for details.

===== Things to Consider ====

[ ]: The GPL license header of some source files contains an incorrect address
     for the Free Software Foundation.

     Please notify upstream about these.  See the attachment for details.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.

Uses arduino cross-compiler; %optflags unneeded.

[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later) (with incorrect FSF address)", "GPL (v3 or later)",
     "Unknown or generated", "GPL (v2 or later) (with incorrect FSF address)",
     "LGPL (v2.1 or later)", "*No copyright* LGPL (v2.1 or later)". 6 files
     have unknown license. Detailed output of licensecheck in
     /home/fedora/patches/FedoraReview/905681-ultimaker-marlin-
     firmware/licensecheck.txt

Effective license is GPLv3+ so OK.  Consider notifying upstream about the
incorrect FSF addresses.  licensecheck output is attached for reference.

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
\

Rpmlint
-------
Checking: ultimaker-marlin-firmware-12.12-0.2.RC1.fc19.src.rpm
          ultimaker-marlin-firmware-12.12-0.2.RC1.fc19.noarch.rpm
ultimaker-marlin-firmware.noarch: W: file-not-utf8 /usr/share/doc/ultimaker-marlin-firmware-12.12/COPYING
ultimaker-marlin-firmware.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/ultimaker-marlin-firmware-12.12/README.md
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Please fix these.


Rpmlint (installed packages)
----------------------------
# rpmlint ultimaker-marlin-firmware
ultimaker-marlin-firmware.noarch: W: file-not-utf8 /usr/share/doc/ultimaker-marlin-firmware-12.12/COPYING
ultimaker-marlin-firmware.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/ultimaker-marlin-firmware-12.12/README.md
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

Please fix these.

Requires
--------
ultimaker-marlin-firmware-12.12-0.2.RC1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
ultimaker-marlin-firmware-12.12-0.2.RC1.fc19.noarch.rpm:
    
    ultimaker-marlin-firmware = 12.12-0.2.RC1.fc19



MD5-sum check
-------------
https://github.com/Ultimaker/Marlin/archive/ec97307ce17c34c05c958034aafb0b135135cd27/ultimaker-marlin-firmware-12.12-ec97307.tar.gz :
  CHECKSUM(SHA256) this package     : ad68c5883a18424c057b8e2cc00ccf8247373659407e0fd804d1b955ed297bf7
  CHECKSUM(SHA256) upstream package : ad68c5883a18424c057b8e2cc00ccf8247373659407e0fd804d1b955ed297bf7


Generated by fedora-review 0.3.1 (f4bc12d) last change: 2012-10-16
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b905681
Comment 10 T.C. Hollingsworth 2013-02-18 20:00:59 EST
% rpmlint SRPMS/ultimaker-marlin-firmware-12.12-0.3.RC1.fc18.src.rpm RPMS/noarch/ultimaker-marlin-firmware-12.12-0.3.RC1.fc19.noarch.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

APPROVED
Comment 11 Miro Hrončok 2013-02-19 14:57:36 EST
New Package SCM Request
=======================
Package Name: ultimaker-marlin-firmware
Short Description: Ultimaker firmware for the 3D printer 
Owners: churchyard patches
Branches: f17 f18
Comment 12 Jon Ciesla 2013-02-19 15:43:14 EST
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-02-19 16:41:57 EST
ultimaker-marlin-firmware-12.12-0.3.RC1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ultimaker-marlin-firmware-12.12-0.3.RC1.fc17
Comment 14 Fedora Update System 2013-02-19 16:42:39 EST
ultimaker-marlin-firmware-12.12-0.3.RC1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ultimaker-marlin-firmware-12.12-0.3.RC1.fc18
Comment 15 Fedora Update System 2013-02-21 00:40:41 EST
ultimaker-marlin-firmware-12.12-0.3.RC1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 16 Fedora Update System 2013-04-20 15:41:17 EDT
ultimaker-marlin-firmware-12.12-0.5.RC1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ultimaker-marlin-firmware-12.12-0.5.RC1.fc17
Comment 17 Fedora Update System 2013-04-20 15:43:56 EDT
ultimaker-marlin-firmware-12.12-0.5.RC1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ultimaker-marlin-firmware-12.12-0.5.RC1.fc18
Comment 18 Fedora Update System 2013-04-30 23:32:13 EDT
ultimaker-marlin-firmware-12.12-0.5.RC1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-04-30 23:32:45 EDT
ultimaker-marlin-firmware-12.12-0.5.RC1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.